Skip to main content

Scoring Format

Table tennis is best of 5 or 7 games. The /scores endpoint returns:
{
  "homeScore": { "period1": 11, "period2": 9, "period3": 11, "point": "5", "current": 2 },
  "awayScore": { "period1": 8, "period2": 11, "period3": 7, "point": "3", "current": 1 }
}
  • period1period7 = points per game (games to 11, win by 2)
  • point = current point score within the active game
  • current = games won

Match Details

GET /api/match/:matchId

Game Scores

GET /api/match/:matchId/scores
Game-by-game scores (best of 5 or 7).

Point by Point

GET /api/match/:matchId/point-by-point
Point-by-point live data for real-time tracking.

Lineups

GET /api/match/:matchId/lineups

Statistics

GET /api/match/:matchId/statistics

Incidents

GET /api/match/:matchId/incidents
Game results, timeouts.

Player Statistics

GET /api/match/:matchId/player-statistics

Individual Player Stats

GET /api/match/:matchId/player/:pid/statistics

Best Players

GET /api/match/:matchId/best-players

MVP Award

GET /api/match/:matchId/award

Head to Head

GET /api/match/:matchId/h2h

Scoring Graph

GET /api/match/:matchId/graph

Pre-Game Form

GET /api/match/:matchId/pregame-form

Streaks

GET /api/match/:matchId/streaks

Highlights

GET /api/match/:matchId/highlights

Media

GET /api/match/:matchId/media

Fan Predictions

GET /api/match/:matchId/votes

Venue

GET /api/match/:matchId/venue

Referee / Umpire

GET /api/match/:matchId/referee

TV Channels

GET /api/match/:matchId/channels
GET /api/match/:matchId/odds

All Odds

GET /api/match/:matchId/odds/all

Pre-Match Odds

GET /api/match/:matchId/odds/pre-match

Live Odds

GET /api/match/:matchId/odds/live

Win Probability

GET /api/match/:matchId/winning-odds
Last modified on April 12, 2026